FruxonDocs
IntegrationsTools

Tests a tool execution with the provided parameters.

Runs a tool in test mode to validate its configuration and inputs before using it in agent workflows.

POST
/v1/tenants/{tenant}/integrations/{integration}/tools:test

Path Parameters

tenant*string

The tenant identifier

integration*string

The integration identifier

The tool test configuration and input parameters.

descriptor?
parametersMetadata?|null
parameters?|null
configMetadata?
config?
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/integrations/string/tools:test" \  -H "Content-Type: application/json" \  -d '{}'
{
  "response": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty